package com.tofly.ghrq_route.module.buildManage.controller;

import com.tofly.ghrq_route.module.buildManage.domain.BuildHandleBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildHandleDataBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildManageBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildManageBeans;
import com.tofly.ghrq_route.module.buildManage.domain.BuildManagerBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildProjectTypeBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildReportBean;
import com.tofly.ghrq_route.module.buildManage.domain.BuildTypeBean;

import java.util.List;

/**
 * Created by Amu on 2017/5/22.
 */

public class BuildManageCallback implements IBuildManageCallback {
    @Override
    public void onGetManagerList(boolean isSuccess, int errCode, String errMsg, List<BuildManagerBean> dataList) {

    }

    @Override
    public void onGetBuildManageList(boolean isSuccess, int errorCode, String errMsg, List<BuildManageBean> buildManageList, int total) {

    }

    @Override
    public void onBuildDataDetail(boolean isSuccess, int errorCode, String errMsg, BuildManageBeans buildManageList, int total) {

    }

    @Override
    public void onGetBuildProjectTypeList(boolean isSuccess, int errorCode, String errMsg, List<BuildProjectTypeBean> buildProjectTypeList, int total) {

    }

    @Override
    public void onGetBuildReportList(boolean isSuccess, int errorCode, String errMsg, List<BuildReportBean> buildReportList, int total) {

    }

    @Override
    public void onUploadBuildReport(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onRemoveBuildReport(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetBuildHandleList(boolean isSuccess, int errorCode, String errMsg, List<BuildHandleBean> buildHandleList, int total) {

    }

    @Override
    public void onUploadBuildHandle(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onRemoveBuildHandle(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onAddBuildManage(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onUpdateBuildLog(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetBuildLogList(boolean isSuccess, int errorCode, String errMsg, List<BuildHandleDataBean> buildLogList) {

    }

    @Override
    public void onGetBuildTypeList(boolean isSuccess, int errorCode, String errMsg, List<BuildTypeBean> data) {

    }

}
